Bug 1305142 - [abrt] firefox: nsProfileLock::FatalSignalHandler(): firefox killed by SIGSEGV
[abrt] firefox: nsProfileLock::FatalSignalHandler(): firefox killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9b230eb3c42e5d31c30e99af47c...
:
: 1308823 1310528 1312558 1313557 1317144 1320259 1323637 1324929 1327819 1329760 1329818 1329984 1331111 1332051 1332849 1346339 1346340 1350405 1357203 1360156 1373030 1397627 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 14:25 EST by Steve
Modified: 2016-12-20 13:28 EST (History)
43 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:28:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (171.45 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: core_backtrace (8.01 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: dso_list (12.79 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: environ (3.60 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: maps (67.65 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: mountinfo (2.99 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: open_fds (5.08 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details
File: var_log_messages (534 bytes, text/plain)
2016-02-05 14:25 EST, Steve
no flags Details

  None (edit)
Description Steve 2016-02-05 14:25:01 EST
Description of problem:
Steps to reproduce to be provided in a followup comment.

Version-Release number of selected component:
firefox-44.0-5.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox --safe-mode
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     2822
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 nsProfileLock::FatalSignalHandler at /usr/src/debug/firefox-44.0/firefox-44.0/toolkit/profile/nsProfileLock.cpp:185
 #2 AsmJSFaultHandler at /usr/src/debug/firefox-44.0/firefox-44.0/js/src/asmjs/AsmJSSignalHandlers.cpp:1158
 #4 g_type_check_instance at gtype.c:4138
 #7 g_context_specific_source_dispatch at gcontextspecificgroup.c:54
 #11 g_main_context_iteration at gmain.c:3901
 #12 nsAppShell::ProcessNextNativeEvent at /usr/src/debug/firefox-44.0/firefox-44.0/widget/gtk/nsAppShell.cpp:208
 #13 nsBaseAppShell::DoProcessNextNativeEvent at /usr/src/debug/firefox-44.0/firefox-44.0/widget/nsBaseAppShell.cpp:138
 #14 nsBaseAppShell::OnProcessNextEvent at /usr/src/debug/firefox-44.0/firefox-44.0/widget/nsBaseAppShell.cpp:271
 #15 nsThread::ProcessNextEvent at /usr/src/debug/firefox-44.0/firefox-44.0/xpcom/threads/nsThread.cpp:933
 #16 NS_ProcessNextEvent at /usr/src/debug/firefox-44.0/firefox-44.0/xpcom/glue/nsThreadUtils.cpp:297
Comment 1 Steve 2016-02-05 14:25:04 EST
Created attachment 1121489 [details]
File: backtrace
Comment 2 Steve 2016-02-05 14:25:05 EST
Created attachment 1121490 [details]
File: cgroup
Comment 3 Steve 2016-02-05 14:25:06 EST
Created attachment 1121491 [details]
File: core_backtrace
Comment 4 Steve 2016-02-05 14:25:07 EST
Created attachment 1121492 [details]
File: dso_list
Comment 5 Steve 2016-02-05 14:25:08 EST
Created attachment 1121493 [details]
File: environ
Comment 6 Steve 2016-02-05 14:25:08 EST
Created attachment 1121494 [details]
File: limits
Comment 7 Steve 2016-02-05 14:25:09 EST
Created attachment 1121495 [details]
File: maps
Comment 8 Steve 2016-02-05 14:25:10 EST
Created attachment 1121496 [details]
File: mountinfo
Comment 9 Steve 2016-02-05 14:25:11 EST
Created attachment 1121497 [details]
File: namespaces
Comment 10 Steve 2016-02-05 14:25:12 EST
Created attachment 1121498 [details]
File: open_fds
Comment 11 Steve 2016-02-05 14:25:13 EST
Created attachment 1121499 [details]
File: proc_pid_status
Comment 12 Steve 2016-02-05 14:25:13 EST
Created attachment 1121500 [details]
File: var_log_messages
Comment 13 Steve 2016-02-05 14:57:09 EST
Steps to reproduce:

Remove these mime type files:
~/.mozilla/firefox/xxxxxxxx.default-1234567890123/mimeTypes.rdf
~/.config/mimeapps.list

From a terminal window, start Firefox in safe mode:
$ firefox --safe-mode

Browse to this URL:
https://bugzilla.redhat.com/show_bug.cgi?id=1304116

Center-click on the link for the screenshot attachment.

Select "Open with" "Other..." in the displayed dialog.

Click "View All Applications".

Click "Firefox" in the list.

Click "Select".

Firefox exits with:
Segmentation fault (core dumped)

NB: Xfce is the desktop environment:
xfce4-about-4.12.1-3.fc23.x86_64
Comment 14 Steve 2016-02-11 08:21:38 EST
The crash does not occur with firefox-44.0.1-2.fc23.x86_64:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b49647f65

This appears to be reporting the same problem:
Bug 1291190 - [GTK3] Crash at ApplicationChooser
Comment 15 pzeppegno 2016-02-16 03:48:19 EST
*** Bug 1308823 has been marked as a duplicate of this bug. ***
Comment 16 FabioMachado 2016-02-22 02:04:19 EST
*** Bug 1310528 has been marked as a duplicate of this bug. ***
Comment 17 pzeppegno 2016-02-27 06:10:12 EST
*** Bug 1312558 has been marked as a duplicate of this bug. ***
Comment 18 Roman 2016-03-01 17:13:44 EST
*** Bug 1313557 has been marked as a duplicate of this bug. ***
Comment 19 Nova1987a 2016-03-04 06:45:33 EST
Similar problem has been detected:

1. Open the flickr and google web album to prepare uploading the images (at least 5 png images) .
2. When uploading the images, the crash happened.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     1922
kernel:         4.4.3-300.fc23.x86_64
package:        firefox-44.0.2-3.fc23
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 20 Tiago M. Vieira 2016-03-10 07:07:40 EST
This is systematic in my environment.

To reproduce:

  1. Open a tab and go to https://bugzilla.redhat.com/show_bug.cgi?id=1089043
  2. Open a second tab and go to http://www.thegeekstuff.com/2009/04/ctags-taglist-vi-vim-editor-as-sourece-code-browser/

Environment:

Version-Release number of selected component:
firefox-44.0.2-3.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     24024
kernel:         4.4.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            26733
Comment 21 pratim.skgc 2016-03-12 09:03:24 EST
*** Bug 1317144 has been marked as a duplicate of this bug. ***
Comment 22 smitna 2016-03-13 21:08:16 EDT
Similar problem has been detected:

1)  open Firefox
2)  invoke "Clear Recent History" (Ctrl-Shift-Delete)
3.1)  set "Time range to clear" to "Everything"
3.2)  select all items under "Details"
3.3)  press the "Clear Now" button
4)  exit Firefox

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     2714
kernel:         4.4.4-301.fc23.x86_64
package:        firefox-45.0-4.fc23
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 sedrubal 2016-03-16 00:03:14 EDT
Similar problem has been detected:

 - Browsed to a site
 - RequestPolicy was blocking something
 - Clickt on the flag icon of RequestPolicy
 - Opened the context menu for unblocking a source in RequestPolicy

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     2236
kernel:         4.4.4-301.fc23.x86_64
package:        firefox-45.0-4.fc23
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 pratim.skgc 2016-03-22 12:43:02 EDT
*** Bug 1320259 has been marked as a duplicate of this bug. ***
Comment 25 David Wald 2016-04-04 06:10:33 EDT
*** Bug 1323637 has been marked as a duplicate of this bug. ***
Comment 26 Joachim Frieben 2016-04-07 07:42:12 EDT
Issue occurred after launching firefox-45.0.1-2.fc23 in a GNOME on Wayland session in a virtual machine -after- upgrading from xorg-x11-server-1.18.1-3.fc23 to xorg-x11-server-1.18.3-1.fc23. Downgrading the corresponding packages restores correct behaviour.
Comment 27 Joachim Frieben 2016-04-07 08:57:58 EDT
When firefox is launched from the shell under the circumstances specified in comment 26, the following error message is returned:

  "[3195] ###!!! ABORT: X_CreatePixmap: BadAlloc (insufficient resources for operation); 32 requests ago: file /builddir/build/BUILD/firefox-45
.0.1/firefox-45.0.1/toolkit/xre/nsX11ErrorHandler.cpp, line 157
[3195] ###!!! ABORT: X_CreatePixmap: BadAlloc (insufficient resources for operation); 32 requests ago: file /builddir/build/BUILD/firefox-45
.0.1/firefox-45.0.1/toolkit/xre/nsX11ErrorHandler.cpp, line 157
Segmentation fault (core dumped)"
Comment 28 Luca Ciavatta 2016-04-07 11:28:48 EDT
*** Bug 1324929 has been marked as a duplicate of this bug. ***
Comment 29 lixun.dlut 2016-04-16 06:06:32 EDT
*** Bug 1327819 has been marked as a duplicate of this bug. ***
Comment 30 Joachim Frieben 2016-04-21 08:09:46 EDT
Similar problem has been detected:

	

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     3080
kernel:         4.4.6-301.fc23.x86_64
package:        firefox-45.0.2-1.fc23
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 31 swi-moz-bug 2016-04-22 17:30:01 EDT
*** Bug 1329760 has been marked as a duplicate of this bug. ***
Comment 32 Piotr Wierzbicki 2016-04-23 09:52:00 EDT
*** Bug 1329818 has been marked as a duplicate of this bug. ***
Comment 33 TOURE 2016-04-25 04:42:42 EDT
*** Bug 1329984 has been marked as a duplicate of this bug. ***
Comment 34 NMueller 2016-04-27 14:42:57 EDT
*** Bug 1331111 has been marked as a duplicate of this bug. ***
Comment 35 GeoffLeach 2016-05-01 16:06:08 EDT
*** Bug 1332051 has been marked as a duplicate of this bug. ***
Comment 36 Rastislav Janci 2016-05-04 04:22:12 EDT
*** Bug 1332849 has been marked as a duplicate of this bug. ***
Comment 37 bitchecker 2016-06-14 11:01:47 EDT
*** Bug 1346339 has been marked as a duplicate of this bug. ***
Comment 38 bitchecker 2016-06-14 11:01:51 EDT
*** Bug 1346340 has been marked as a duplicate of this bug. ***
Comment 39 Danie de Jager 2016-06-27 07:15:27 EDT
*** Bug 1350405 has been marked as a duplicate of this bug. ***
Comment 40 Michael Setzer II 2016-07-16 10:47:40 EDT
*** Bug 1357203 has been marked as a duplicate of this bug. ***
Comment 41 ptc34509308 2016-07-26 02:43:46 EDT
*** Bug 1360156 has been marked as a duplicate of this bug. ***
Comment 42 Francisco C. Bigal 2016-09-04 19:07:13 EDT
*** Bug 1373030 has been marked as a duplicate of this bug. ***
Comment 43 Jeremy Harris 2016-09-06 08:56:32 EDT
Assessed by abrt as an instance of this bug; seen after closing a
private-browsing window.  Firefox 48.0.1 on 4.7.2-201.fc24.x86_64.
Comment 44 Alvin 2016-09-06 10:40:28 EDT
Also assessed by abrt as an instance of this bug. Seen after closing Firefox in normal browsing (nor private). Firefox 48.0.1. It can take a while, but after closing Firefox, abrt will always pop-up a crash notice.
Comment 45 lwrtwod 2016-11-22 21:09:49 EST
*** Bug 1397627 has been marked as a duplicate of this bug. ***
Comment 46 Fedora End Of Life 2016-11-24 10:24:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 47 Fedora End Of Life 2016-12-20 13:28:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.